Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2021-03-09 08:24:17 -0500
committerSravan Kumar Lakkimsetti2021-03-09 08:24:17 -0500
commit2b423e7785a271b3a8e6829f88e1b68ae8fb76c7 (patch)
tree4983ab8426616afe66ca86c0060255373c55456a
parent50eb5b411ce6ba6f7278068919190c743020d7e6 (diff)
downloadeclipse.platform.releng.aggregator-2b423e7785a271b3a8e6829f88e1b68ae8fb76c7.tar.gz
eclipse.platform.releng.aggregator-2b423e7785a271b3a8e6829f88e1b68ae8fb76c7.tar.xz
eclipse.platform.releng.aggregator-2b423e7785a271b3a8e6829f88e1b68ae8fb76c7.zip
Bug 571808 - Stop creating build input tags for Y and P builds
- We have tag without Build input commit. this was not handled in the earlier patch Change-Id: I323207580284188e2b9e151f82e01dc363dcb3ac Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
-rwxr-xr-xcje-production/mbscripts/mb110_tagBuildInputs.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/cje-production/mbscripts/mb110_tagBuildInputs.sh b/cje-production/mbscripts/mb110_tagBuildInputs.sh
index ea65c6cff..72db0e10d 100755
--- a/cje-production/mbscripts/mb110_tagBuildInputs.sh
+++ b/cje-production/mbscripts/mb110_tagBuildInputs.sh
@@ -47,10 +47,13 @@ fi
pushd $CJE_ROOT/$AGG_DIR
# git tagging
-git commit -m "Build input for build $BUILD_ID"
-if [ $? -eq 0 -a "${BUILD_TYPE}" == "I" ]
+if [ "${BUILD_TYPE}" == "I" ]
then
- git push origin HEAD
+ git commit -m "Build input for build $BUILD_ID"
+ if [[ $? -eq 0 ]]
+ then
+ git push origin HEAD
+ fi
fi
git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; git push --verbose origin $BUILD_ID; else echo Skipping \$name; fi || :"

Back to the top